function FaleConoscoController(ScreenService, MessageService, General){
    /*global getLocalVar*/
    this.onEnter = function(widget){
        let userData = getLocalVar('userData');
        let isAnon = userData.isAnon;
        let campoEmail = widget.getField('DSEMAILUSUARIOAPP');
        if(isAnon){
            campoEmail.isVisible = true;
        }else{
            campoEmail.isVisible = false;
        }
        widget.newRow();
    };
    
    this.submit = function(widget){
        if (widget.isValid()) {
            General.callRestEngine("/faleConosco/save", "Row", widget.currentRow).then(
                function(){
                    MessageService.showMessageByCode('MSG_SENT_MSG_WITH_SUCCESS');
                    widget.newRow();
                }, function(){
                    MessageService.showMessageByCode('MSG_SENT_MSG_ERROR');
                }
            );
        }
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register('FaleConoscoController', FaleConoscoController);
});