function HomeController(ScreenService, General, templateManager){
    this.changePasswd = function(){
        ScreenService.openWindow("product#alterar_senha");
    };
    this.restarWidgets = container => {
        container.widgets.forEach(widget => {
            widget.isVisible = false;
        });
        let DTCARDAPIO = container.widgets[0].dataSourceFilter.find(dsf=>dsf.name === 'DTCARDAPIO');
        if(DTCARDAPIO){
            DTCARDAPIO.value = "@moment().format('DD/MM/YYYY')@";
        }
        container.widgets[0].activate();
        container.widgets[0].isVisible = true;
        container.widgets[0].reload();
    };

    this.onContainerInit = function(container){
    };

    this.setRemoveAccountOptionVisibility = function(homeContainer){
        const homeWidget = homeContainer.widgets.find(widget => widget.name === 'mainWidget');
        const removeAccountAction = homeWidget.actions.find(action => action.name === 'removeAccount');
        const userData = getLocalVar('userData');
        removeAccountAction.isVisible = userData && !userData.isAnon;
        
        const logoutAction = homeWidget.actions.find(action => action.name === 'logout');
        logoutAction.isVisible = getLocalVar("showLogout") == false ? getLocalVar("showLogout") : true;
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register('HomeController', HomeController);
});